Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# ACEXML_XMLFilter Class Reference

ACEXML_XMLFilter. More...

`#include <ACEXML/common/XMLFilter.h>`

Inheritance diagram for ACEXML_XMLFilter:

[legend]
Collaboration diagram for ACEXML_XMLFilter:

[legend]
List of all members.

## Public Member Functions
virtual ACEXML_XMLReader * | getParent (void) const =0
virtual void | setParent (ACEXML_XMLReader *parent)=0

## Detailed Description

ACEXML_XMLFilter.

An XML filter is like an XML reader, except that it obtains its events from another XML reader rather than a primary source like an XML document or database. Filters can modify a stream of events as they pass on to the final application.

The XMLFilterImpl helper class provides a convenient base for creating SAX2 filters, by passing on all ACEXML_EntityResolver, ACEXML_DTDHandler, ACEXML_ContentHandler and ACEXML_ErrorHandler events automatically.

## Member Function Documentation

virtual ACEXML_XMLReader* ACEXML_XMLFilter::getParent | ( | void |  | ) | const`[pure virtual]`

| Get the parent reader. Implemented in ACEXML_XMLFilterImpl.

virtual void ACEXML_XMLFilter::setParent | ( | ACEXML_XMLReader * | parent | ) | `[pure virtual]`

| Set the parent reader. Implemented in ACEXML_XMLFilterImpl.

The documentation for this class was generated from the following file:

- XMLFilter.h